require( "scripts/style.lua" );


LevelHeaderFont = {
  standardFont,
  18,
  BorderColor
};

LevelValFont = {
  standardFont,
  18,
  WhiteColor
};

LevelFont = {
  standardFont,
  14,
  WhiteColor
};

UpgradeButtonFont = {
  standardFont,
  24,
  WhiteColor
};




GoalFont = {
  standardFont,
  14,
  WhiteColor
};

OpenFont = {
  standardFont,
  14,
  GreenColor
};

ExpertFont = {
  standardFont,
  14,
  WhiteColor
};

ScoreFont = {
  standardFont,
  29,
  BlackColor
};

UpgradeButtonGraphics = {
	"buttons/upgrade_up",
	"buttons/upgrade_down",
	"buttons/upgrade_over"
};

PauseButtonGraphics = {
	"buttons/map_button_a",
	"buttons/map_button_b",
	"buttons/map_button_c"
};

Phone1ButtonGraphics = {
	"ui/phone_busser_a",
	"ui/phone_busser_b",
	"ui/phone_busser_b"
};

Phone2ButtonGraphics = {
	"ui/phone_drinkserver_a",
	"ui/phone_drinkserver_b",
	"ui/phone_drinkserver_b"
};

Phone3ButtonGraphics = {
	"ui/phone_hostess_a",
	"ui/phone_hostess_b",
	"ui/phone_hostess_b"
};

Phone4aButtonGraphics = {
	"ui/phone_entertainer3_a",
	"ui/phone_entertainer3_b",
	"ui/phone_entertainer3_b"
};

Phone4bButtonGraphics = {
	"ui/phone_entertainer4_a",
	"ui/phone_entertainer4_b",
	"ui/phone_entertainer4_b"
};

Phone4cButtonGraphics = {
	"ui/phone_entertainer5_a",
	"ui/phone_entertainer5_b",
	"ui/phone_entertainer5_b"
};



MakeDialog
{
		
		GameWindow
		{ 
			name="maingamewindow",
			x=0,
			y=0,
			w=800,
			h=600,
			
			
			Bitmap
			{
				name="scorebackground",
				image="ui/ui_base",
				x=516,
				y=0,
				
				GameTimer
				{
					x=0,
					y=0,
					w=kMax,
					h=kMax,
				},
				
				CoinJar
				{
					x=0,
					y=0,
					w=kMax,
					h=kMax,
					name="coinjar"
				},
				

				Text
				{
					font = OpenFont,
					name = "openclosed",
					x=217,y=8,w=67,h=20,
					flags = kHAlignCenter + kVAlignCenter,
					label = "open",
					padding = -1
				};
				
				
				Text
				{
					font = GoalFont,
					name = "goal",
					x=108,y=55,w=76,h=50,
					flags = kHAlignCenter + kVAlignCenter,
					label = "goal",
					padding = -1
				};
				
				Text
				{
					font = ExpertFont,
					name = "expert",
					x=108,y=55,w=76,h=50,
					flags = kHAlignCenter + kVAlignCenter,
					label = "expert",
					padding = -1
				};
				
				Text
				{
					font = ScoreFont,
					name = "scoreval",
					x=95,y=31,w=96,h=32,
					flags = kHAlignCenter + kVAlignCenter,
					label = "scoreval"
				};
				
				Text
				{
					font = LevelFont,
					name = "level",
					x=88,y=5,w=54,h=30,
					flags = kHAlignRight + kVAlignCenter,
					label = "level"
				};
				
				Text
				{
					font = LevelValFont,
					name = "levelval",
					x=160,y=5,w=100,h=30,
					flags = kHAlignLeft + kVAlignCenter,
					label = "1"
				};
			},
			
			
			
			Bitmap
			{
				name="livesicon_0",
				image="ui/lives_icon",
				x = 260,
				y = 5
			},
			
			Bitmap
			{
				name="livesicon_1",
				image="ui/lives_icon",
				x = 310,
				y = 5
			},
			
			Bitmap
			{
				name="livesicon_2",
				image="ui/lives_icon",
				x = 360,
				y = 5
			},
			
			Bitmap
			{
				name="livesicon_3",
				image="ui/lives_icon",
				x = 410,
				y = 5
			},
			
			Bitmap
			{
				name="livesicon_4",
				image="ui/lives_icon",
				x = 460,
				y = 5
			},
			
			
			

			Bitmap
			{
				name="upgradeanim",
				image="ui/upgradeanim",
				x = 10,
				y = 0
			},
			
			
			Button
			{
				x=35,
				y=5,
				graphics = UpgradeButtonGraphics,
				name="upgrade",
				Text
				{
					font=UpgradeButtonFont,
					name="label",
					x = 0, y = 4, w = kMax, h=kMax,
					flags = kHAlignCenter + kVAlignCenter,
					label="upgrades",
				};
				xoffset = 0,
				type = kPush,
				command=
					function()
						PauseGame(true);
						DoModal("scripts/upgrade.lua");
					end
			},
				
			
			
			
			Button
			{
				x=650,
				y=550,
				font = StandardBorderButtonFont,
				graphics = PauseButtonGraphics,
				name="pause",
				label="pause",
				type = kPush,
				xoffset = 0,
				command=
					function()
						PauseGame(true);
						DoModal("scripts/pause.lua");
					end
			},
			
			Button
			{
				x=650,
				y=500,
				font = SmallBorderButtonFont,
				graphics = PauseButtonGraphics,
				name="skiptutorial",
				label="skiptutorial",
				type = kPush,
				xoffset = 0,
				command=
					function()
						PauseGame(true);
						result = DisplayDialog { 
							"scripts/yesno.lua", 
							body ="tutorialconfirm",
							title = "" 
						};
						if (result=='yes') then
							DoSkipTutorial();
						end
						PauseGame(false);
					end
			},
			
			Bitmap
			{
				x = 700,
				y = 250,
				name = "phonebox2",
				image = "ui/icon_backdrop_a",
				
				Button
				{
					x=kCenter,
					y=7,
					graphics = Phone1ButtonGraphics,
					name="phone1",
					type = kPush,
					xoffset = 0,
					command=
						function()
							PhoneButton(0);
						end
				},
				
				Button
				{
					x=kCenter,
					y=70,
					graphics = Phone2ButtonGraphics,
					name="phone2",
					type = kPush,
					xoffset = 0,
					command=
						function()
							PhoneButton(1);
						end
				},
			},
			
			Bitmap
			{
				x = 700,
				y = 180,
				name = "phonebox3",
				image = "ui/icon_backdrop_b",
				
				Button
				{
					x=kCenter,
					y=7,
					graphics = Phone1ButtonGraphics,
					name="phone1",
					type = kPush,
					xoffset = 0,
					command=
						function()
							PhoneButton(0);
						end
				},
				
				Button
				{
					x=kCenter,
					y=70,
					graphics = Phone2ButtonGraphics,
					name="phone2",
					type = kPush,
					xoffset = 0,
					command=
						function()
							PhoneButton(1);
						end
				},
				
				Button
				{
					x=kCenter,
					y=133,
					graphics = Phone3ButtonGraphics,
					name="phone_hostess3",
					type = kPush,
					xoffset = 0,
					command=
						function()
							PhoneButton(2);
						end
				},
				
				Button
				{
					x=kCenter,
					y=133,
					graphics = Phone4aButtonGraphics,
					name="phone_a3",
					type = kPush,
					xoffset = 0,
					command=
						function()
							PhoneButton(3);
						end
				},
				
				Button
				{
					x=kCenter,
					y=133,
					graphics = Phone4bButtonGraphics,
					name="phone_b3",
					type = kPush,
					xoffset = 0,
					command=
						function()
							PhoneButton(3);
						end
				},
				
				Button
				{
					x=kCenter,
					y=133,
					graphics = Phone4cButtonGraphics,
					name="phone_c3",
					type = kPush,
					xoffset = 0,
					command=
						function()
							PhoneButton(3);
						end
				},
			},
			
			Bitmap
			{
				x = 700,
				y = 120,
				name = "phonebox4",
				image = "ui/icon_backdrop_c",
				
				Button
				{
					x=kCenter,
					y=7,
					graphics = Phone1ButtonGraphics,
					name="phone1",
					type = kPush,
					xoffset = 0,
					command=
						function()
							PhoneButton(0);
						end
				},
				
				Button
				{
					x=kCenter,
					y=70,
					graphics = Phone2ButtonGraphics,
					name="phone2",
					type = kPush,
					xoffset = 0,
					command=
						function()
							PhoneButton(1);
						end
				},
				
				Button
				{
					x=kCenter,
					y=133,
					graphics = Phone3ButtonGraphics,
					name="phone_hostess4",
					type = kPush,
					xoffset = 0,
					command=
						function()
							PhoneButton(2);
						end
				},
				
				Button
				{
					x=kCenter,
					y=196,
					graphics = Phone4aButtonGraphics,
					name="phone_a4",
					type = kPush,
					xoffset = 0,
					command=
						function()
							PhoneButton(3);
						end
				},
				
				Button
				{
					x=kCenter,
					y=196,
					graphics = Phone4bButtonGraphics,
					name="phone_b4",
					type = kPush,
					xoffset = 0,
					command=
						function()
							PhoneButton(3);
						end
				},
				
				Button
				{
					x=kCenter,
					y=196,
					graphics = Phone4cButtonGraphics,
					name="phone_c4",
					type = kPush,
					xoffset = 0,
					command=
						function()
							PhoneButton(3);
						end
				},
			},
			
			
			
			GameUILayer
			{
				x=0,
				y=0,
				w=0,
				h=0,
				name = "UILevel"
			},
			
			ScreenFade
			{
				x=0,
				y=0,
				w=0,
				h=0,
				name="screenfade"
			},
		},
	
}