require( "scripts/style.lua" );



TitleFont = {
  standardFont,
  32,
  RedColor
};

HeaderFont = {
	standardFont,
	24,
	RedColor
};

HeaderStyle = {
    parent = DefaultStyle,
	font = HeaderFont,
	w = kMax,
	h = kMax,
	flags = kHAlignLeft + kVAlignTop,
};

DescripFont = {
	standardFont,
	16,
	BorderColor
};

CoinFont = {
	standardFont,
	24,
	RedColor
};

DescripStyle = {
	parent = DefaultStyle,
	font = DescripFont,
	w = 170,
	h = kMax,
	flags = kHAlignLeft + kVAlignTop,
};

LevelHeaderFont = {
  standardFont,
  10,
  BorderColor
};

LevelValFont = {
  standardFont,
  10,
  WhiteColor
};

LevelFont = {
  standardFont,
  8,
  WhiteColor
};


GoalFont = {
  standardFont,
  8,
  WhiteColor
};

OpenFont = {
  standardFont,
  8,
  GreenColor
};

ScoreFont = {
  standardFont,
  17,
  BlackColor
};




MakeDialog
{
	Bitmap
	{
		name="backgroundimage",
		image="backgrounds/fullscreendialog",
		x=0,y=0,w=kMax,h=kMax,
		
		Text
		{
			font = TitleFont,
			name = "title",
			x=0,y=30,w=kMax,h=80,
			flags = kHAlignCenter + kVAlignTop,
			label = "howtoplay"
		};
		
		Bitmap
		{
			x = 60,
			y = 290,
			image = "help/help_dividerline"
		};
		
		Bitmap
		{
			x = 85,
			y = 160,
			image = "accessories/heart1"
		};
		
		Bitmap
		{
			x =	100,
			y = 160,
			image = "accessories/heart1"
		};
		
		Bitmap
		{
			x = 115,
			y = 160,
			image = "accessories/heart1"
		};
		
		Bitmap
		{
			x = 130,
			y = 160,
			image = "accessories/heart1"
		};
		
		Bitmap
		{
			x = 145,
			y = 160,
			image = "accessories/heart1"
		};
		
		AnimWindow
		{
			x = 120,
			y = 225,
			anim = "customers/young_female/anim.anm",
			texture = "anim.png?palettized",
			palette = "customers/young_female/blue.pal",
			frame = 1,
		};
		
		AnimWindow
		{
			x = 307,
			y = 160,
			anim = "ui/coinflip.anm",
			frame = 1,
		};
		
		AnimWindow
		{
			x = 337,
			y = 160,
			anim = "ui/coinflip.anm",
			frame = 2,
		};
		
		AnimWindow
		{
			x = 367,
			y = 160,
			anim = "ui/coinflip.anm",
			frame = 3,
		};
		
		AnimWindow
		{
			x = 397,
			y = 160,
			anim = "ui/coinflip.anm",
			frame = 4,
		};
		
		Bitmap
		{
			x = 590,
			y = 160,
			image = "accessories/heart2"
		};
		
		Bitmap
		{
			x =	605,
			y = 160,
			image = "accessories/heart3"
		};
		
		Bitmap
		{
			x = 620,
			y = 160,
			image = "accessories/heart3"
		};
		
		Bitmap
		{
			x = 635,
			y = 160,
			image = "accessories/heart3"
		};
		
		Bitmap
		{
			x = 650,
			y = 160,
			image = "accessories/heart3"
		};
		
		AnimWindow
		{
			x = 610,
			y = 225,
			anim = "customers/young_female/anim.anm",
			texture = "anim.png?palettized",
			palette = "customers/young_female/green.pal",
			frame = 23,
		};
		
		Bitmap
		{
			x = 375,
			y = 225,
			image = "help/help1_score",
			
			Text
			{
				font = OpenFont,
				name = "openclosed",
				x=132,y=5,w=41,h=13,
				flags = kHAlignCenter + kVAlignCenter,
				label = "open",
				padding = -1
			};
			
			
			Text
			{
				font = GoalFont,
				name = "goal",
				x=65,y=39,w=46,h=15,
				flags = kHAlignCenter + kVAlignCenter,
				label = "goal",
				padding = -1
			};
			
			Text
			{
				font = GoalFont,
				name = "goalval",
				x=65,y=47,w=46,h=15,
				flags = kHAlignCenter + kVAlignCenter,
				label = "2300",
				padding = -1
			};
			
			
			Text
			{
				font = ScoreFont,
				name = "scoreval",
				x=58,y=19,w=57,h=20,
				flags = kHAlignCenter + kVAlignCenter,
				label = "580"
			};
			
			Text
			{
				font = LevelFont,
				name = "level",
				x=54,y=3,w=33,h=18,
				flags = kHAlignRight + kVAlignCenter,
				label = "level"
			};
			
			Text
			{
				font = LevelValFont,
				name = "levelval",
				x=98,y=2,w=61,h=18,
				flags = kHAlignLeft + kVAlignCenter,
				label = "3"
			};
		};
		
		Bitmap
		{
			x = 60,
			y = 430,
			image = "help/help1_colormatch1"
		};
		
		Bitmap
		{
			x = 230,
			y = 435,
			image = "help/help1_colormatch2"
		};
		
		Bitmap
		{
			x = 440,
			y = 350,
			image = "help/help1_noise"
		};
		
		
		SetStyle(DescripStyle);
		
		Text
		{
			font = CoinFont,
			label = "help_coinbonus",
			x = 427,
			y = 150,
		};
		
		Text
		{
			label = "help_1_1",
			x = 65,
			y = 89,
		};
		
		Text
		{
			label = "help_1_2",
			x = 301,
			y = 89,
		};
		
		Text
		{
			label = "help_1_3",
			x = 574,
			y = 89,
		};
		
		Text
		{
			label = "help_1_4",
			x = 199,
			y = 230,
			w = 180
		};
		
		Text
		{
			font = HeaderFont,
			label = "help_1_5",
			x = 56,
			y = 310,
			w = kMax
		};
		
		Text
		{
			label = "help_1_6",
			x = 56,
			y = 350,
			w = kMax
		};
		
		Text
		{
			label = "help_1_7",
			x = 56,
			y = 380,
		};
		
		Text
		{
			label = "help_1_9",
			x = 230,
			y = 380,
		};
		
		Text
		{
			label = "help_1_8",
			x = 440,
			y = 350,
			w = 230
		};
		
		
		SetStyle(DefaultStyle);
		
		Button
		{
			x=kCenter,
			y=530,
			font = StandardButtonFont,
			graphics = StandardButtonGraphics,
			name="back",
			label="back",
			type = kPush,
			command=
				function()
					ActivateHelpClock(false);
					PopModal();
				end
		},
		
		
		Button
		{
			x=670,
			y=530,
			graphics = RightArrowGraphics,
			name="right",
			type = kPush,
			command=
				function()
					SwapToModalSetName("scripts/help2.lua");
				end
		},
			
	},
	
};

ActivateHelpClock(true);