require( "scripts/style.lua" );



TitleFont = {
  standardFont,
  32,
  RedColor
};

SubtitleFont = {
  standardFont,
  24,
  RedColor
};

HeaderFont = {
	standardFont,
	18,
	RedColor
};

HeaderStyle = {
	parent = DefaultStyle,
	font = HeaderFont,
	w = kMax,
	h = kMax,
	flags = kHAlignLeft + kVAlignTop,
};

DescripFont = {
	standardFont,
	16,
	BorderColor
};

DescripStyle = {
	parent = DefaultStyle,
	font = DescripFont,
	w = 215,
	h = kMax,
	flags = kHAlignLeft + kVAlignTop,
};



MakeDialog
{
	Bitmap
	{
		name="backgroundimage",
		image="backgrounds/fullscreendialog",
		x=0,y=0,w=kMax,h=kMax,
		
		Bitmap
		{
			x = 280;
			y = 110;
			image = "restaurants/cafe/furniture/drinkstation1_a"
		};
		
		Bitmap
		{
			x = 640;
			y = 110;
			image = "restaurants/mexican/furniture/dessert_shelf3_a"
		};
		
		AnimWindow
		{
			x = 88,
			y = 240,
			anim = "furniture/highchairbaby.anm",
			texture = "highchairbaby.png?palette=furniture/red_highchairbaby.pal",
			frame = 2,
		};
		
		Bitmap
		{
			x = 425;
			y = 201;
			image = "restaurants/mexican/furniture/snackstation3_a"
		};
		
		AnimWindow
		{
			x = 306,
			y = 367,
			anim = "furniture/spill.anm",
			frame = 4,
		};
		
		Bitmap
		{
			x = 306;
			y = 280;
			image = "furniture/mop_station_a"
		};
		
		Bitmap
		{
			x = 637;
			y = 296;
			image = "help/help3_bench"
		};
		
		Bitmap
		{
			x = 65;
			y = 400;
			image = "furniture/podium"
		};
		
		AnimWindow
		{
			x = 145,
			y = 470,
			anim = "flo/idle.anm",
			frame = 6,
		};
		
		AnimWindow
		{
			x = 449,
			y = 445,
			anim = "furniture/phone_station.anm",
			frame = 4,
		};

		Text
		{
			font = TitleFont,
			name = "title",
			x=0,y=30,w=kMax,h=80,
			flags = kHAlignCenter + kVAlignTop,
			label = "howtoplay"
		};
		
		Text
		{
			font = SubtitleFont,
			name = "title",
			x=0,y=65,w=kMax,h=80,
			flags = kHAlignCenter + kVAlignTop,
			label = "extrawayshappy"
		};
		
		SetStyle(HeaderStyle);
		
		Text
		{
			label = "help_drinks",
			x = 68,
			y = 117,
		};
		Text
		{
			label = "help_dessert",
			x = 422,
			y = 117,
		};
		Text
		{
			label = "help_highchairs",
			x = 120,
			y = 213,
		};
		Text
		{
			label = "help_snacks",
			x = 509,
			y = 213,
		};
		Text
		{
			label = "help_mop",
			x = 68,
			y = 311,
		};
		Text
		{
			label = "help_bench",
			x = 422,
			y = 311,
		};
		Text
		{
			label = "help_podium",
			x = 185,
			y = 415,
		};
		
		Text
		{
			label = "help_phone",
			x = 480,
			y = 415,
		};
		SetStyle(DescripStyle);
		
		Text
		{
			label = "help_drinks_descrip",
			x = 68,
			y = 137,
		};
		Text
		{
			label = "help_dessert_descrip",
			x = 422,
			y = 137,
		};
		Text
		{
			label = "help_highchairs_descrip",
			x = 120,
			y = 233,
		};
		Text
		{
			label = "help_snacks_descrip",
			x = 509,
			y = 233,
		};
		Text
		{
			label = "help_mop_descrip",
			x = 68,
			y = 331,
		};
		Text
		{
			label = "help_bench_descrip",
			x = 422,
			y = 331,
			w = 190,
		};
		
		Text
		{
			label = "help_podium_descrip",
			x = 185,
			y = 435,
			w = 190,
		};
		
		Text
		{
			label = "help_phone_descrip",
			x = 480,
			y = 435,
		};
		
		SetStyle(DefaultStyle);
		
		Button
		{
			x=kCenter,
			y=530,
			font = StandardButtonFont,
			graphics = StandardButtonGraphics,
			name="back",
			label="back",
			type = kPush,
			command=
				function()
					ActivateHelpClock(false);
					PopModal();
				end
		},
		
		
		Button
		{
			x=670,
			y=530,
			graphics = RightArrowGraphics,
			name="right",
			type = kPush,
			command=
				function()
					SwapToModalSetName("scripts/help4.lua");
				end
		},
		
		Button
		{
			x=45,
			y=530,
			graphics = LeftArrowGraphics,
			name="right",
			type = kPush,
			command=
				function()
					SwapToModalSetName("scripts/help2.lua");
				end
		},
			
	},
	
};

ActivateHelpClock(true);