require( "scripts/style.lua" );



TitleFont = {
  standardFont,
  32,
  RedColor
};

CustomerTypeFont = {
	standardFont,
	18,
	RedColor
};

CustomerTypeStyle = {
	parent = DefaultStyle,
	font = CustomerTypeFont,
	w = kMax,
	h = kMax,
	flags = kHAlignLeft + kVAlignTop,
};

CustomerDescripFont = {
	standardFont,
	16,
	BorderColor
};

CustomerDescripStyle = {
	parent = DefaultStyle,
	font = CustomerDescripFont,
	w = kMax,
	h = kMax,
	flags = kHAlignLeft + kVAlignTop,
};


MakeDialog
{
	Bitmap
	{
		name="backgroundimage",
		image="backgrounds/fullscreendialog",
		x=0,y=0,w=kMax,h=kMax,
		
		Text
		{
			font = TitleFont,
			name = "title",
			x=0,y=30,w=kMax,h=80,
			flags = kHAlignCenter + kVAlignTop,
			label = "customertypes"
		};
		

		SetStyle(CustomerTypeStyle);
		
		Text
		{
			label = "younglady",
			x = 112,
			y = 88,
		};
		
		Text
		{
			label = "family",
			x = 486,
			y = 88,
		};
		
		Text
		{
			label = "cellphoneaddict",
			x = 100,
			y = 241,
		};
		
		Text
		{
			label = "bookworm",
			x = 347,
			y = 241,
		};
		
		Text
		{
			label = "kindlysenior",
			x = 575,
			y = 241,
		};
		
		Text
		{
			label = "jogger",
			x = 162,
			y = 381,
		};
		
		Text
		{
			label = "businesswoman",
			x = 507,
			y = 381,
		};
		
		SetStyle(DefaultStyle);
		
		SetStyle(CustomerDescripStyle);
		
		Text
		{
			label = "younglady_descrip",
			x = 112,
			y = 108,
		};
		
		Text
		{
			label = "family_descrip",
			x = 486,
			y = 108,
		};
		
		Text
		{
			label = "cellphoneaddict_descrip",
			x = 100,
			y = 261,
		};
		
		Text
		{
			label = "bookworm_descrip",
			x = 347,
			y = 261,
		};
		
		Text
		{
			label = "kindlysenior_descrip",
			x = 575,
			y = 261,
		};
		
		Text
		{
			label = "jogger_descrip",
			x = 162,
			y = 401,
		};
		
		Text
		{
			label = "businesswoman_descrip",
			x = 507,
			y = 401,
		};
		
		SetStyle(DefaultStyle);
		
		AnimWindow
		{
			x = 83,
			y = 140,
			anim = "customers/young_female/anim.anm",
			texture = "anim.png?palettized",
			palette = "customers/young_female/blue.pal",
			script = "Stand",
		};
		
		AnimWindow
		{
			x = 399,
			y = 155,
			anim = "customers/kid_male/anim.anm",
			texture = "anim.png?palettized",
			palette = "customers/kid_male/green.pal",
			script = "Stand",
		};
		
		AnimWindow
		{
			x = 426,
			y = 145,
			anim = "customers/mom_female/anim.anm",
			texture = "anim.png?palettized",
			palette = "customers/mom_female/purple.pal",
			script = "Stand",
		};
		
		AnimWindow
		{
			x = 456,
			y = 138,
			anim = "customers/dad_male/anim.anm",
			texture = "anim.png?palettized",
			palette = "customers/dad_male/yellow.pal",
			script = "Stand",
		};
		
		AnimWindow
		{
			x = 69,
			y = 290,
			anim = "customers/cellphone_male/anim.anm",
			texture = "anim.png?palettized",
			palette = "customers/cellphone_male/red.pal",
			script = "Stand",
		};
		
		AnimWindow
		{
			x = 318,
			y = 290,
			anim = "customers/bookworm_female/anim.anm",
			texture = "anim.png?palettized",
			palette = "customers/bookworm_female/green.pal",
			script = "Stand",
		};
		
		AnimWindow
		{
			x = 546,
			y = 290,
			anim = "customers/old_male/anim.anm",
			texture = "anim.png?palettized",
			palette = "customers/old_male/blue.pal",
			script = "Stand",
		};
		
		AnimWindow
		{
			x = 134,
			y = 434,
			anim = "customers/fitness_female/anim.anm",
			texture = "anim.png?palettized",
			palette = "customers/fitness_female/purple.pal",
			script = "Stand",
		};
		
		AnimWindow
		{
			x = 478,
			y = 434,
			anim = "customers/business_female/anim.anm",
			texture = "anim.png?palettized",
			palette = "customers/business_female/yellow.pal",
			script = "Stand",
		};
		

		
		Button
		{
			x=kCenter,
			y=530,
			font = StandardButtonFont,
			graphics = StandardButtonGraphics,
			name="back",
			label="back",
			type = kPush,
			command=
				function()
					ActivateHelpClock(false);
					PopModal();
				end
		},
		
		
		Button
		{
			x=45,
			y=530,
			graphics = LeftArrowGraphics,
			name="right",
			type = kPush,
			command=
				function()
					SwapToModalSetName("scripts/help3.lua");
				end
		},
			
	},
	
};

ActivateHelpClock(true);